> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unblockedbrands.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a pre-signed URL to upload a file to S3

> Get a pre-signed URL to upload a file to S3



## OpenAPI

````yaml api-reference/openapi.json get /uploads/s3-url
openapi: 3.1.0
info:
  title: Unblocked Wallet Passes API
  description: Unblocked Wallet Passes API
  version: 1.0.0
servers:
  - url: https://api.ubpass.co/v1
    description: Generated server url
security:
  - AccessToken: []
  - APIKey: []
tags:
  - name: Pique
    description: Get Pique Campaigns and their video performance data
  - name: Passport - Passes
    description: >-
      Create, update, retrieve, and delete wallet passes for Apple and Google
      platforms
  - name: Passport - Push Notifications
    description: Create, update, get, and delete wallet pass notifications
  - name: Passport - Locations
    description: Create, update, get, and delete wallet pass locations
  - name: Upload APIs
    description: Upload and manage pass assets and images
paths:
  /uploads/s3-url:
    get:
      tags:
        - Upload APIs
      summary: Get a pre-signed URL to upload a file to S3
      description: Get a pre-signed URL to upload a file to S3
      operationId: getPresignedUrlToUpload
      responses:
        '200':
          description: Pre-signed URL generated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SignedURLResponse'
components:
  schemas:
    SignedURLResponse:
      type: object
      properties:
        key:
          type: string
        url:
          type: string
  securitySchemes:
    AccessToken:
      type: http
      description: Bearer token authentication
      scheme: bearer
      bearerFormat: JWT
    APIKey:
      type: apiKey
      description: API Key authentication
      name: api-key
      in: header

````